## wp2x 2.5

=== Makefile ===
# Copyright (c) 2000 Martin Hinner <mhi@penguin.cz>
# The original Makefile was removed.

WP2X_DIR = /usr/local/lib/wp2x
BINDIR = /usr/local/bin
MANDIR = /usr/local/man
VERSION = 2.5

all:	wp2x

wp2x:
	cd src && make wp2x WP2X_DIR=$(WP2X_DIR) VERSION=$(VERSION)

install:
	mkdir -p $(BINDIR)
	mkdir -p $(MANDIR)/man1
	mkdir -p $(WP2X_DIR)
	cd src && make install BINDIR=$(BINDIR) WP2X_DIR=$(WP2X_DIR)
	cd cfg && make install BINDIR=$(BINDIR) WP2X_DIR=$(WP2X_DIR)
	cd doc && make install MANDIR=$(MANDIR) WP2X_DIR=$(WP2X_DIR)

depend: 
	cd src && make depend

clean:
	rm -f *~ *.o core
	cd src && make clean
	cd cfg && make clean

test:	wp2x
	cd test && make test

gentest:wp2x
	cd test && make gentest

=== cfg/Makefile ===
CFGFILES = accent.cfg ascii.cfg gml.cfg html.cfg latex.cfg sample.cfg\
           script.cfg tex.cfg troff.cfg

all:
	@echo "type cd ../; make "

clean:
	rm -f *~ core

install:
	install -c -m 644 -o root -g root $(CFGFILES) $(WP2X_DIR)

=== doc/Makefile ===
all:
	echo "use ../Makefile"

install:
	install -c -m 644 -o root -g root wp2x.1l $(MANDIR)/man1

wp2x.cat:	wp2x.1l
	man wp2x.1l > wp2x.cat

=== src/Makefile ===
SRCS = wp2x.c dopen.c tokens.c charsets.c 
SRCS += getopt.c
OBJS = $(SRCS:.c=.o)

CC = gcc -g -O -ansi -funsigned-char 
CFLAGS = -DUNIX -DWP2X_DIR=\"$(WP2X_DIR)\" -DVERSION=\"$(VERSION)\"

wp2x:	$(OBJS)
	$(CC) -o wp2x $(CFLAGS) $(OBJS)

install:
	install -c -o root -g root -m 755 -s wp2x $(BINDIR)

depend: 
	makedepend  -- $(CFLAGS) -- $(SRCS)

indent:
	indent $(SRCS)

clean:
	rm -f a.out core wp2x *~ *.o

# DO NOT DELETE

wp2x.o: /usr/include/stdio.h /usr/include/features.h /usr/include/sys/cdefs.h
wp2x.o: /usr/include/gnu/stubs.h
wp2x.o: /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stddef.h
wp2x.o: /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stdarg.h
wp2x.o: /usr/include/bits/types.h /usr/include/libio.h
wp2x.o: /usr/include/_G_config.h /usr/include/bits/stdio_lim.h
wp2x.o: /usr/include/stdlib.h /usr/include/sys/types.h /usr/include/time.h
wp2x.o: /usr/include/endian.h /usr/include/bits/endian.h
wp2x.o: /usr/include/sys/select.h /usr/include/bits/select.h
wp2x.o: /usr/include/bits/sigset.h /usr/include/sys/sysmacros.h
wp2x.o: /usr/include/alloca.h /usr/include/string.h /usr/include/ctype.h
wp2x.o: /usr/include/unistd.h /usr/include/bits/posix_opt.h
wp2x.o: /usr/include/bits/confname.h /usr/include/getopt.h
wp2x.o: /usr/include/netinet/in.h /usr/include/stdint.h
wp2x.o: /usr/include/bits/socket.h /usr/include/bits/sockaddr.h
wp2x.o: /usr/include/asm/socket.h /usr/include/asm/sockios.h
wp2x.o: /usr/include/bits/in.h /usr/include/bits/byteswap.h
wp2x.o: /usr/include/assert.h tokens.h patchlevel.h
dopen.o: /usr/include/stdio.h /usr/include/features.h
dopen.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
dopen.o: /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stddef.h
dopen.o: /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stdarg.h
dopen.o: /usr/include/bits/types.h /usr/include/libio.h
dopen.o: /usr/include/_G_config.h /usr/include/bits/stdio_lim.h
dopen.o: /usr/include/stdlib.h /usr/include/sys/types.h /usr/include/time.h
dopen.o: /usr/include/endian.h /usr/include/bits/endian.h
dopen.o: /usr/include/sys/select.h /usr/include/bits/select.h
dopen.o: /usr/include/bits/sigset.h /usr/include/sys/sysmacros.h
dopen.o: /usr/include/alloca.h /usr/include/string.h
tokens.o: /usr/include/stdio.h /usr/include/features.h
tokens.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
tokens.o: /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stddef.h
tokens.o: /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stdarg.h
tokens.o: /usr/include/bits/types.h /usr/include/libio.h
tokens.o: /usr/include/_G_config.h /usr/include/bits/stdio_lim.h tokens.h
tokens.o: charsets.h
charsets.o: charsets.h
getopt.o: /usr/include/stdio.h /usr/include/features.h
getopt.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
getopt.o: /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stddef.h
getopt.o: /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stdarg.h
getopt.o: /usr/include/bits/types.h /usr/include/libio.h
getopt.o: /usr/include/_G_config.h /usr/include/bits/stdio_lim.h
getopt.o: /usr/include/string.h /usr/include/getopt.h

=== test/Makefile ===
CFGFILES = accent.cfg ascii.cfg gml.cfg html.cfg latex.cfg sample.cfg\
           script.cfg tex.cfg troff.cfg
INPUTS = simple-iso.wp wp.wp

test:
	@echo Starting regression tests.
	INPUTS='$(INPUTS)' CFGFILES='$(CFGFILES)' sh do-regress

gentest:
	@echo Generating regression data
	INPUTS='$(INPUTS)' CFGFILES='$(CFGFILES)' sh gen-regress

## wp2x 2.5-mhi

=== debian/changelog ===
wp2x (2.5-mhi-13) unstable; urgency=medium

  * Drop useless Debian menu entry.  This is a command line tool without
    any interactive mode (Closes: #752163).
  * Update Standards-Version from 3.9.5 to 3.9.6.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 04 Oct 2014 22:15:44 +0200

wp2x (2.5-mhi-12) unstable; urgency=low

  * Added watch file from 'http://qa.debian.org/cgi-
    bin/watchfile.cgi?package=wp2x'.
  * Add Homepage URL to control file, and update copyright file
    indicating that the upstream URL is working again.
  * Add autopkgtest self test code using the test suite available.  Adjust
    test suite to handle this in new patch 05_testsuite.patch partly split
    out from 01-misc.patch.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Apr 2014 18:59:45 +0200

wp2x (2.5-mhi-11) unstable; urgency=low

  * Upgrade from debhelper 8 to debhelper 9.
  * Move package maintenance to collab-maint and add Vcs-Git and Vcs-
    Browser headers to control file.
  * Rename menu section from Apps/Tools to Applications/Text.  Thank
    you lintian.
  * Move from dpatch to package format "3.0 (quilt)" using patch from
    Jari Aalto.
  * Enable hardening build flags using patch from Jari Aalto and Simon
    Ruderich (Closes: #662704, #668805)
  * Fix manpage-section-mismatch lintian warning using patch from Jari
    Aalto.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Apr 2014 19:41:31 +0200

wp2x (2.5-mhi-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added build-arch: patch-stamp and build-indep: patch-stamp to fix the FTBFS
  (Closes: #666338).

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Apr 2012 09:26:37 +0000

wp2x (2.5-mhi-10) unstable; urgency=low

  * Replace rules file to use dh, and update debhelper compat level to 8.
  * Add source format marker indicating version 1.
  * Update Standards-Version from 3.6.2 to 3.9.3.
  * Indicate in the copyright file that the upstream project is
    missing (Closes: #659418).
  * Make sure binary isn't stripped during built, and leave it to
    dh_strip to decide if it should be stripped (Closes: #438279).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 04 Mar 2012 16:39:48 +0100

wp2x (2.5-mhi-9) unstable; urgency=low

  * Really add suggest to libwpd-tools. (Closes: #317103)

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 10 Oct 2005 23:47:13 +0200

wp2x (2.5-mhi-8) unstable; urgency=low

  * Add suggest to libwpd-tools, as that package is similar to wp2x,
    and might help where wp2x falls short. (Closes: #317103)
  * Updated standard-version to 3.6.2.  No changes needed.
  * Start using dpatch.  Move all debian patches into 01_misc.dpatch.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 10 Oct 2005 20:06:42 +0200

wp2x (2.5-mhi-7) unstable; urgency=low

  * Fix typos in wp2x(1l). (Closes: #306732)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  5 Jun 2005 14:16:25 +0200

wp2x (2.5-mhi-6) unstable; urgency=low

  * More endian fixes for process_preamble() to get this working on
    big endian machines.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  4 Sep 2004 15:04:44 +0200

wp2x (2.5-mhi-5) unstable; urgency=low

  * Adopted package. (Closes: #206860)
  * Updated Standards-Version from 3.5.2 to 3.6.1.
  * Fixed endian problem in process_preamble().
  * Add -W and -Wall as compiler flags, and fix lots of compile
    warnings.
  * Run selftest during build to check if the package is working.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  4 Sep 2004 13:45:09 +0200

wp2x (2.5-mhi-4) unstable; urgency=low

  * Upload with maintainer set to QA group
  * debian/control: fixed up versioned dependency on debhelper
  * debian/copyright: removed dh_make boilerplatedness

 -- Andrew Pollock <apollock@debian.org>  Sat, 15 Nov 2003 19:42:42 +1100

wp2x (2.5-mhi-3) unstable; urgency=low

  * Adopted package (closes: #100272)
  * Updated Standards-Version to 3.5.2
  * Updated DH_COMPAT to 3
  * Moved .cfg files to /usr/share/wp2x from /usr/lib/wp2x
  * Added filters to doc directory
  * Added README.debian
  * Updated build dependancy to debhelper > 3.0

 -- Harry Henry Gebel <hgebel@debian.org>  Thu, 21 Jun 2001 23:03:42 -0400

wp2x (2.5-mhi-2) unstable; urgency=low

  * Removed the installation of INSTALL file to fix lintian warning. 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Thu, 29 Mar 2001 16:12:46 +0200

wp2x (2.5-mhi-1) unstable; urgency=low

  * Initial Release, closes: Bug #81001.
  * Adjusted the Makefile to fix $DESTDIR problems, and to set the
    correct install paths.
  * Modified ./src/Makefile for Debian.
  * Corrected Perl paths in ./filters/*.
  * Emended manpage.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Mon,  1 Jan 2001 16:55:35 +0100

=== debian/control ===
Source: wp2x
Section: text
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>> 9)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/wp2x
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wp2x.git
Homepage: ftp://ftp.penguin.cz/pub/users/mhi/wp2x/
XS-Testsuite: autopkgtest

Package: wp2x
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libwpd-tools
Description: WordPerfect 5.x documents to whatever converter
 This program converts simple WordPerfect 5.0 and 5.1 files into any
 other document processing languages that use plain text files, like
 TeX, LaTeX, troff, GML and HTML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_installman:
	dh_installman
	# Correct section
	mv debian/wp2x/usr/share/man/man1/wp2x.1l \
	   debian/wp2x/usr/share/man/man1/wp2x.1 \

%:
	dh $@

=== debian/tests/control ===
Tests: testsuite
Depends: @
